<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.00
| Author: eDan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."library_panel/infusion_db.php";

if (file_exists(INFUSIONS."library_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."library_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."library_panel/locale/English.php";
}

$inf_title = $locale['lib_title'];
$inf_description = $locale['lib_desc'];
$inf_version = "1.0";
$inf_developer = "eDan";
$inf_email = "dan_0803@interia.pl";
$inf_weburl = "http://eDan.narutoz.info";

$inf_folder = "library_panel";

//Dodanie tabeli  
$inf_newtable[1] = LIBRARY." (
book_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
book_name VARCHAR(200) DEFAULT '' NOT NULL,
book_text TEXT DEFAULT '' NOT NULL,
book_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (book_id)
) TYPE=MyISAM;";

$inf_droptable[1] = LIBRARY;

$inf_adminpanel[1] = array(
	"title" => $locale['lib_admin'],
	"image" => "lib.gif",
	"panel" => "library_admin.php",
	"rights" => "LIB"
);

$inf_sitelink[1] = array(
	"title" => $locale['lib_link'],
	"url" => "library_infusion.php",
	"visibility" => "0"
);
?>