<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: library_admin.php
| Version: 1.00
| Author: eDan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";

include INFUSIONS."library_panel/infusion_db.php";

if (!checkrights("LIB") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."library_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."library_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."library_panel/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['lib_add'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['lib_up'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['lib_del'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}
if (dbrows($result)) {
	if (isset($_POST['save'])) {
		$name = stripinput($_POST['name']);
		$text = addslash($_POST['text']);
		if (isset($_POST['book_id']) && isnum($_POST['book_id'])) {
			$result = dbquery("UPDATE ".LIBRARY." SET book_name='$name', book_text='$text' WHERE book_id='".$_POST['book_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			$result = dbquery("INSERT INTO ".LIBRARY." (book_name, book_text, book_datestamp) VALUES ('$name', '$text', '".time()."')");
			redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	} else if (isset($_POST['delete']) && (isset($_POST['book_id']) && isnum($_POST['book_id']))) {
		$result = dbquery("DELETE FROM ".LIBRARY." WHERE book_id='".$_POST['book_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=del");
	} else {
		if (isset($_POST['preview'])) {
			$name = stripinput($_POST['name']);
			$text = phpentities(stripslash($_POST['text']));
			$textpreview = str_replace("src='".str_replace("../", "", IMAGES), "src='".IMAGES, stripslash($_POST['text']));
			opentable($name);
			echo $textpreview."\n";
			closetable();
		}
		$result = dbquery("SELECT * FROM ".LIBRARY." ORDER BY book_name ASC");
		if (dbrows($result)) {
			$editlist = ""; $sel = "";
			while ($data = dbarray($result)) {
				if ((isset($_POST['book_id']) && isnum($_POST['book_id'])) || (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
					$book_id = isset($_POST['book_id']) ? $_POST['book_id'] : $_GET['book_id'];
					$sel = ($book_id == $data['book_id'] ? " selected='selected'" : "");
				} else {
					$sel = "";
				}
				$editlist .= "<option value='".$data['book_id']."'".$sel.">".$data['book_name']."</option>\n";
			}
			opentable($locale['lib_sa']);
			echo "<div style='text-align:center'>\n<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."&amp;action=edit'>\n";
			echo "<select name='book_id' class='textbox' style='width:250px;'>\n".$editlist."</select>\n";
			echo "<input type='submit' name='edit' value='".$locale['lib_edit']."' class='button' />\n";
			echo "<input type='submit' name='delete' value='".$locale['lib_del2']."' onclick='return DeleteBook();' class='button' />\n";
			echo "</form>\n</div>\n";
			closetable();
		}

		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_POST['book_id']) && isnum($_POST['book_id'])) || (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
			$result = dbquery("SELECT * FROM ".LIBRARY." WHERE book_id='".(isset($_POST['book_id']) ? $_POST['book_id'] : $_GET['book_id'])."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$name = $data['book_name'];
				$text = phpentities(stripslashes($data['book_text']));
			} else {
				redirect(FUSION_SELF.$aidlink);
			}
		}
		if ((isset($_POST['book_id']) && isnum($_POST['book_id'])) || (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
			opentable($locale['lib_edit2']);
		} else {
			if (!isset($_POST['preview'])) {
				$name = "";
				$text = "";
			}
			opentable($locale['lib_add2']);
		}
		echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this)'>\n";
		echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
		echo "<td width='100' class='tbl'>".$locale['lib_name']."</td>\n";
		echo "<td class='tbl'><input type='text' name='name' value='$name' class='textbox' style='width:250px;' /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n<td valign='top' width='100' class='tbl'>".$locale['lib_text']."</td>\n";
		echo "<td class='tbl'><textarea name='text' cols='95' rows='10' class='textbox' style='width:98%'>".$text."</textarea></td>\n";
		echo "</tr>\n";
		echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>\n";
		echo "</td>\n";
		echo "<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		if ((isset($_POST['book_id']) && isnum($_POST['book_id'])) || (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
			echo "<input type='hidden' name='book_id' value='".(isset($_POST['book_id']) ? $_POST['book_id'] : $_GET['book_id'])."' />\n";
		}
		echo "<input type='submit' name='preview' value='".$locale['lib_pre']."' class='button' />\n";
		echo "<input type='submit' name='save' value='".$locale['lib_sav']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		closetable();
		echo "<script type='text/javascript'>"."\n"."function DeleteBook() {\n";
		echo "return confirm('".$locale['lib_del3']."');\n}\n";
		echo "function ValidateForm(frm) {"."\n"."if(frm.name.value=='') {\n";
		echo "alert('".$locale['lib_name2']."');"."\n"."return false;\n}\n}\n</script>\n";
	}
}

require_once THEMES."templates/footer.php";
?>