<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: library_infusion.php
| Version: 1.00
| Author: eDan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."library_panel/infusion_db.php";

if (file_exists(INFUSIONS."library_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."library_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."library_panel/locale/English.php";
}

add_to_title($locale['global_200'].$locale['lib_title']);

if (isset($_GET['book_id']) && !isnum($_GET['book_id'])) { redirect(FUSION_SELF); }

opentable($locale['lib_title']);
$result = dbquery("SELECT * FROM ".LIBRARY."");
if (dbrows($result) != 0) {
	$cdata = dbarray($result);

	$rows = dbcount("(book_id)", LIBRARY);
	if ($rows != 0) {
		if (isset($_GET['book_id'])) {
		
		$res = dbquery("SELECT * FROM ".LIBRARY." WHERE book_id='".$_GET['book_id']."'");
		if (dbrows($res)) {
		$au = dbarray($res);	
		
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		$book = stripslashes($au['book_text']);
	if (preg_match('<--PAGEBREAK-->', $book)) {
			$book = explode("<--PAGEBREAK-->", $book);
		} else {
			$book = explode("<!-- pagebreak -->", $book);
		}
		$pagecount = count($book);
		echo $book[$_GET['rowstart']];
	if ($pagecount > 1) {
			echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 1, $pagecount, 3, FUSION_SELF."?book_id=".$au['book_id']."&amp;")."\n</div>\n";
		}
		
		} else {
		redirect(FUSION_SELF);
		}
		} else {
		$result = dbquery("SELECT * FROM ".LIBRARY."");
		while ($data = dbarray($result)) {
			echo "".THEME_BULLET." <a href='".FUSION_SELF."?book_id=".$data['book_id']."'>".$data['book_name']."</a><br />";
		}
		}
	}
	else {
		echo "<div style='text-align:center'>".$locale['lib_bra']."</div>\n";
	}
}
closetable();

require_once THEMES."templates/footer.php";
?>
